summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-servers/jetty-bin/files')
-rw-r--r--www-servers/jetty-bin/files/conf.d/jetty-624
-rw-r--r--www-servers/jetty-bin/files/conf.d/jetty-724
-rw-r--r--www-servers/jetty-bin/files/init.d/jetty-651
-rw-r--r--www-servers/jetty-bin/files/init.d/jetty-751
4 files changed, 150 insertions, 0 deletions
diff --git a/www-servers/jetty-bin/files/conf.d/jetty-6 b/www-servers/jetty-bin/files/conf.d/jetty-6
new file mode 100644
index 0000000..730ac76
--- /dev/null
+++ b/www-servers/jetty-bin/files/conf.d/jetty-6
@@ -0,0 +1,24 @@
+#Configuration options for jetty server
+
+#JETTY_HOST=localhost
+#JETTY_PORT=8080
+
+# port to listen on to stop the server
+#STOP_PORT=8079
+
+# "password" used on the stop port to verify that the server should be stopped
+STOP_KEY=secret
+
+# Set this value to 1 and configure the jetty-setuid.xml to have the server run as an unprivilaged user
+#USE_SETUID=1
+
+# jetty 6 has a bug that only lets it connect to ipv6 or ipv4, not both
+#USE_IPV6=1
+
+# Use the SSL config jetty-ssl.xml
+#USE_SSL=1
+
+# Set this to a space delimited list of extra conf files you want loaded
+# The files are relative to ${JETTY_HOME} so
+# ex. JETTY_CONF="etc/jetty-ajp.xml etc/jetty-logging.xml"
+#JETTY_CONF=""
diff --git a/www-servers/jetty-bin/files/conf.d/jetty-7 b/www-servers/jetty-bin/files/conf.d/jetty-7
new file mode 100644
index 0000000..43c75e0
--- /dev/null
+++ b/www-servers/jetty-bin/files/conf.d/jetty-7
@@ -0,0 +1,24 @@
+#Configuration options for jetty server
+
+#JETTY_HOST=localhost
+#JETTY_PORT=8080
+
+# port to listen on to stop the server
+#STOP_PORT=8079
+
+# "password" used on the stop port to verify that the server should be stopped
+STOP_KEY=secret
+
+# Set this value to 1 and configure the jetty-setuid.xml to have the server run as an unprivilaged user
+#USE_SETUID=1
+
+# Set this value to 1 to use ipv6
+#USE_IPV6=1
+
+# Use the SSL config jetty-ssl.xml
+#USE_SSL=1
+
+# Set this to a space delimited list of extra conf files you want loaded
+# The files are relative to ${JETTY_HOME} so
+# ex. JETTY_CONF="etc/jetty-ajp.xml etc/jetty-logging.xml"
+#JETTY_CONF=""
diff --git a/www-servers/jetty-bin/files/init.d/jetty-6 b/www-servers/jetty-bin/files/init.d/jetty-6
new file mode 100644
index 0000000..1e54649
--- /dev/null
+++ b/www-servers/jetty-bin/files/init.d/jetty-6
@@ -0,0 +1,51 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+
+ JETTY_HOME="/var/lib/${SVCNAME}"
+ CONF_FILES="${JETTY_HOME}/etc/jetty.xml"
+ JETTY_OPTS="-DSTART=${JETTY_HOME}/start.config"
+
+ if [[ -n ${JETTY_HOST} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djetty.host=${JETTY_HOST}"
+ fi
+ if [[ -n ${JETTY_PORT} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djetty.port=${JETTY_PORT}"
+ fi
+ if [[ -n ${STOP_PORT} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -DSTOP.PORT=${STOP_PORT}"
+ fi
+ if [[ -n ${STOP_KEY} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -DSTOP.KEY=${STOP_KEY}"
+ fi
+ if [[ ${USE_SETUID} -eq 1 ]]; then
+ # Setuid configuration file needs to be the first one in the list
+ CONF_FILES="${JETTY_HOME}/etc/jetty-setuid.xml ${CONF_FILES}"
+ JETTY_OPTS="${JETTY_OPTS} -Djava.library.path=/usr/lib64/${SVCNAME}/"
+ fi
+ if [[ ${USE_IPV6} -ne 1 ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djava.net.preferIPv4Stack=true"
+ fi
+ if [[ ${USE_SSL} -eq 1 ]]; then
+ # Setuid configuration file needs to be the first one in the list
+ CONF_FILES="${CONF_FILES} ${JETTY_HOME}/etc/jetty-ssl.xml"
+ fi
+
+ cd "${JETTY_HOME}"
+
+ start-stop-daemon --start --background --make-pidfile \
+ --pidfile /var/run/${SVCNAME}.pid \
+ --startas java -- ${JETTY_OPTS} -jar ${JETTY_HOME}/start.jar ${CONF_FILES} ${JETTY_CONF}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --pidfile /var/run/${SVCNAME}.pid
+ eend $?
+}
diff --git a/www-servers/jetty-bin/files/init.d/jetty-7 b/www-servers/jetty-bin/files/init.d/jetty-7
new file mode 100644
index 0000000..1e54649
--- /dev/null
+++ b/www-servers/jetty-bin/files/init.d/jetty-7
@@ -0,0 +1,51 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+
+ JETTY_HOME="/var/lib/${SVCNAME}"
+ CONF_FILES="${JETTY_HOME}/etc/jetty.xml"
+ JETTY_OPTS="-DSTART=${JETTY_HOME}/start.config"
+
+ if [[ -n ${JETTY_HOST} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djetty.host=${JETTY_HOST}"
+ fi
+ if [[ -n ${JETTY_PORT} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djetty.port=${JETTY_PORT}"
+ fi
+ if [[ -n ${STOP_PORT} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -DSTOP.PORT=${STOP_PORT}"
+ fi
+ if [[ -n ${STOP_KEY} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -DSTOP.KEY=${STOP_KEY}"
+ fi
+ if [[ ${USE_SETUID} -eq 1 ]]; then
+ # Setuid configuration file needs to be the first one in the list
+ CONF_FILES="${JETTY_HOME}/etc/jetty-setuid.xml ${CONF_FILES}"
+ JETTY_OPTS="${JETTY_OPTS} -Djava.library.path=/usr/lib64/${SVCNAME}/"
+ fi
+ if [[ ${USE_IPV6} -ne 1 ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djava.net.preferIPv4Stack=true"
+ fi
+ if [[ ${USE_SSL} -eq 1 ]]; then
+ # Setuid configuration file needs to be the first one in the list
+ CONF_FILES="${CONF_FILES} ${JETTY_HOME}/etc/jetty-ssl.xml"
+ fi
+
+ cd "${JETTY_HOME}"
+
+ start-stop-daemon --start --background --make-pidfile \
+ --pidfile /var/run/${SVCNAME}.pid \
+ --startas java -- ${JETTY_OPTS} -jar ${JETTY_HOME}/start.jar ${CONF_FILES} ${JETTY_CONF}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --pidfile /var/run/${SVCNAME}.pid
+ eend $?
+}